﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Services;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace WebApplication1
{
    public partial class DefaultByOpenLayers : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
                Map1.CurrentExtent = new RectangleShape(-123.22, 55.05, -76, 16.91);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                ShapeFileFeatureLayer shapeFileFeatureLayer = new ShapeFileFeatureLayer(MapPath("~/app_data/STATES.shp"));
                shapeFileFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(100, 212, 220, 184), GeoColor.FromArgb(255, 132, 132, 154), 1);
                shapeFileFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                LayerOverlay layerOverlay = new LayerOverlay();
                layerOverlay.Layers.Add(shapeFileFeatureLayer);
                Map1.CustomOverlays.Add(layerOverlay);

                System.Web.HttpContext.Current.Session["Longitude"] = "-123";
            }
        }

        [WebMethod(CacheDuration = 0)]
        public static MyMarker GetMarker()
        {
            double longitude = Convert.ToDouble(System.Web.HttpContext.Current.Session["Longitude"].ToString());
            longitude += 0.5;

            if (longitude > -77)
            {
                longitude = -123;
            }

            System.Web.HttpContext.Current.Session["Longitude"] = longitude;

            return new MyMarker(40, longitude);
        }
    }
}